
;
;   Simple test of the console transmit control register.  Writes the string
;   located at 'string' to the console, one byte at a time.  You can also call
;   the code from the console with a single byte, such as
;
;       CALL WRITE( ^D65 )
;
;   This will write the character 'A' or ASCII 65 (decimal).
;

        .base   200

string: .ascic      "This is a test"


        .base   400

        .entry  main, ^m<r6,r7>
        movaw       @#string, r6
        movab       b^2(r6), r7
        movw        (r6), r6
        
loop:   movb        (r7)+, r0
        pushl       r0
        calls       #1,write
        sobgtr      r6, loop
        pushl       #0A
        calls       #1,write
        
        halt
        

        .entry      write, ^m<>
put:    mtpr        b^4(ap), #VAX$PR_TXDB
        ret
        
